import request from '@/utils/request'

// 查询题目类型列表
export function listEl_classify(query) {
  return request({
    url: '/exam/el_classify/list',
    method: 'get',
    params: query
  })
}

// 新增题目类型
export function list_option(data) {
  return request({
    url: '/exam/el_classify/queryOption',
    method: 'post',
    data: data
  })
}

// 查询题目类型详细
export function getEl_classify(id) {
  return request({
    url: '/exam/el_classify/' + id,
    method: 'get'
  })
}

// 新增题目类型
export function addEl_classify(data) {
  return request({
    url: '/exam/el_classify',
    method: 'post',
    data: data
  })
}

// 修改题目类型
export function updateEl_classify(data) {
  return request({
    url: '/exam/el_classify',
    method: 'put',
    data: data
  })
}

// 删除题目类型
export function delEl_classify(id) {
  return request({
    url: '/exam/el_classify/' + id,
    method: 'delete'
  })
}
